### File

`src/lib/register.service.ts`

### Index

###### Methods

- Public register

### Constructor

`constructor()`
Defined in src/lib/register.service.ts:5

### Methods

Public register
`register(email: string, password: string)`
Defined in src/lib/register.service.ts:11

Parameters :

Name | Type | Optional
email | `string` | No
password | `string` | No

Returns : `Promise<boolean>`

    import { Injectable } from '@angular/core';

    @Injectable({ providedIn: 'root' })
    /* ignore coverage */
    export class RegisterService {

      constructor() {
        console.warn('The default RegisterService implementation should only be used in a development environment!');
      }

      public register(email: string, password: string): Promise<boolean> {
        return Promise.resolve(true);
      }

    }

# results matching ""

# No results matching ""